#![allow(dead_code)]

use limine::{BaseRevision, request::*};

#[used]
#[unsafe(link_section = ".requests_start_marker")]
static _START_MARKER: RequestsStartMarker = RequestsStartMarker::new();
#[used]
#[unsafe(link_section = ".requests_end_marker")]
static _END_MARKER: RequestsEndMarker = RequestsEndMarker::new();

#[used]
#[unsafe(link_section = ".requests")]
pub static BASE_REVISION: BaseRevision = limine::BaseRevision::new();
#[used]
#[unsafe(link_section = ".requests")]
pub static SMP_REQUEST: SmpRequest = limine::request::SmpRequest::new();
#[used]
#[unsafe(link_section = ".requests")]
pub static FILE_REQUEST: KernelFileRequest = limine::request::KernelFileRequest::new();
