#![allow(dead_code)]
#![allow(unused_variables)]

use vga;
pub use vga::writers::TextWriter;

pub struct TextDisplay {
    writer: vga::writers::Text80x25,
    column: usize,
    row: usize,
}

impl Default for TextDisplay {
    fn default() -> Self {
        Self::new()
    }
}

impl TextDisplay {
    pub const fn new() -> Self {
        TextDisplay {
            writer: vga::writers::Text80x25::new(),
            column: 0,
            row: 0,
        }
    }
    pub fn writeline(text: &str, colors: vga::colors::TextModeColor) {}

    pub fn write(text: &str, colors: vga::colors::TextModeColor) {}
}

pub static TEXT_DISPLAY: TextDisplay = TextDisplay::new();
